Page MenuHomePhabricator

[SimplifyCFG] Do not create unneeded PR Phi in block with convergent calls
ClosedPublic

Authored by mkazantsev on Jul 16 2020, 3:00 AM.

Details

Summary

We do not thread blocks with convergent calls, but this check was missing
when we decide to insert PR Phis into it (which we only do for threading).

Diff Detail

Event Timeline

mkazantsev created this revision.Jul 16 2020, 3:00 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 16 2020, 3:00 AM
vsk resigned from this revision.Jul 20 2020, 3:15 PM

Sorry, I don't know enough about this to give a meaningful review.

nikic accepted this revision.Jul 21 2020, 9:40 AM
nikic added a subscriber: nikic.

LGTM

This revision is now accepted and ready to land.Jul 21 2020, 9:40 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 21 2020, 11:54 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript